Bug 313718 - Amarok crashes by putting a broadcast in the playlist [@ Playlists::PLSPlaylist::loadPls]
Summary: Amarok crashes by putting a broadcast in the playlist [@ Playlists::PLSPlayli...
Status: RESOLVED FIXED
Alias: None
Product: amarok
Classification: Unclassified
Component: Playlist (show other bugs)
Version: 2.7-git
Platform: openSUSE RPMs Linux
: NOR crash (vote)
Target Milestone: 2.8
Assignee: Amarok Developers
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-22 23:36 UTC by Friedhelm
Modified: 2013-02-16 12:42 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In: 2.8


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Friedhelm 2013-01-22 23:36:02 UTC
Application: amarok (2.7-git)
KDE Platform Version: 4.8.5 (4.8.5) "release 2"
Qt Version: 4.8.1
Operating System: Linux 3.4.11-2.16-desktop x86_64
Distribution: "openSUSE 12.2 (x86_64)"

-- Information about the crash:
I have a german radio senderlist with a german sender names FFN.
By putting this sender in the playlist amarok crashes everytime.
I can't put it in the playlist.
When is amarok ready and stable?

The crash can be reproduced every time.

-- Backtrace:
Application: Amarok (amarok), signal: Segmentation fault
Using host libthread_db library "/lib64/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f78219ef780 (LWP 2144))]

Thread 10 (Thread 0x7f781a700700 (LWP 2147)):
#0  0x00007f783141e8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f781b44df6f in ?? () from /usr/lib64/libvlccore.so.5
#2  0x00007f783141ae0e in start_thread () from /lib64/libpthread.so.0
#3  0x00007f78332ef2cd in clone () from /lib64/libc.so.6

Thread 9 (Thread 0x7f7816457700 (LWP 2149)):
#0  0x00007fff4997d60c in ?? ()
#1  0x00007fff4997d89c in clock_gettime ()
#2  0x00007f782c112f7d in clock_gettime () from /lib64/librt.so.1
#3  0x00007f7833ba5a24 in do_gettime (frac=0x7f7816456b58, sec=0x7f7816456b50) at tools/qelapsedtimer_unix.cpp:123
#4  qt_gettime () at tools/qelapsedtimer_unix.cpp:140
#5  0x00007f7833c7815d in QTimerInfoList::updateCurrentTime (this=this@entry=0x7f7810002860) at kernel/qeventdispatcher_unix.cpp:343
#6  0x00007f7833c784a3 in QTimerInfoList::timerWait (this=0x7f7810002860, tm=...) at kernel/qeventdispatcher_unix.cpp:450
#7  0x00007f7833c7701c in timerSourcePrepareHelper (src=<optimized out>, timeout=0x7f7816456c4c) at kernel/qeventdispatcher_glib.cpp:136
#8  0x00007f7833c770c5 in timerSourcePrepare (source=<optimized out>, timeout=<optimized out>) at kernel/qeventdispatcher_glib.cpp:169
#9  0x00007f782d4caebf in g_main_context_prepare () from /usr/lib64/libglib-2.0.so.0
#10 0x00007f782d4cb5ab in ?? () from /usr/lib64/libglib-2.0.so.0
#11 0x00007f782d4cb7a4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#12 0x00007f7833c77956 in QEventDispatcherGlib::processEvents (this=0x7f7810000900, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#13 0x00007f7833c4873f in QEventLoop::processEvents (this=this@entry=0x7f7816456df0, flags=...) at kernel/qeventloop.cpp:149
#14 0x00007f7833c489c8 in QEventLoop::exec (this=0x7f7816456df0, flags=...) at kernel/qeventloop.cpp:204
#15 0x00007f7833b4ce40 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#16 0x00007f7833c2911f in QInotifyFileSystemWatcherEngine::run (this=0x2c43170) at io/qfilesystemwatcher_inotify.cpp:248
#17 0x00007f7833b4fddb in QThreadPrivate::start (arg=0x2c43170) at thread/qthread_unix.cpp:298
#18 0x00007f783141ae0e in start_thread () from /lib64/libpthread.so.0
#19 0x00007f78332ef2cd in clone () from /lib64/libc.so.6

Thread 8 (Thread 0x7f780f737700 (LWP 2150)):
#0  0x00007f783141e8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f7833b502db in wait (time=18446744073709551615, this=0x2e6a610) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2e6a790, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f783077f971 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2e3d400, th=0x2e62610) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f78307821bb in ThreadWeaver::WorkingHardState::applyForWork (this=0x2de3360, th=0x2e62610) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f78307821d4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2de3360, th=0x2e62610) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f78307821d4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2de3360, th=0x2e62610) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f78307821d4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2de3360, th=0x2e62610) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WorkingHardState.cpp:74
#8  0x00007f78307821d4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2de3360, th=0x2e62610) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WorkingHardState.cpp:74
#9  0x00007f783078102f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f780f736e20, parent=0x2e3d400, th=th@entry=0x2e62610) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/Thread.cpp:87
#10 0x00007f78307810bb in ThreadWeaver::Thread::run (this=0x2e62610) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/Thread.cpp:142
#11 0x00007f7833b4fddb in QThreadPrivate::start (arg=0x2e62610) at thread/qthread_unix.cpp:298
#12 0x00007f783141ae0e in start_thread () from /lib64/libpthread.so.0
#13 0x00007f78332ef2cd in clone () from /lib64/libc.so.6

Thread 7 (Thread 0x7f780ef36700 (LWP 2151)):
#0  0x00007f783141e8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f7833b502db in wait (time=18446744073709551615, this=0x2e6a610) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2e6a790, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f783077f971 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2e3d400, th=0x2d3a390) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f78307821bb in ThreadWeaver::WorkingHardState::applyForWork (this=0x2de3360, th=0x2d3a390) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f78307821d4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2de3360, th=0x2d3a390) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f78307821d4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2de3360, th=0x2d3a390) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WorkingHardState.cpp:74
#7  0x00007f783078102f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f780ef35e20, parent=0x2e3d400, th=th@entry=0x2d3a390) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/Thread.cpp:87
#8  0x00007f78307810bb in ThreadWeaver::Thread::run (this=0x2d3a390) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/Thread.cpp:142
#9  0x00007f7833b4fddb in QThreadPrivate::start (arg=0x2d3a390) at thread/qthread_unix.cpp:298
#10 0x00007f783141ae0e in start_thread () from /lib64/libpthread.so.0
#11 0x00007f78332ef2cd in clone () from /lib64/libc.so.6

Thread 6 (Thread 0x7f780e735700 (LWP 2152)):
#0  0x00007f783141e8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f7833b502db in wait (time=18446744073709551615, this=0x2e6a610) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2e6a790, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f783077f971 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2e3d400, th=0x2d51180) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f78307821bb in ThreadWeaver::WorkingHardState::applyForWork (this=0x2de3360, th=0x2d51180) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f783078102f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f780e734e20, parent=0x2e3d400, th=th@entry=0x2d51180) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/Thread.cpp:87
#6  0x00007f78307810bb in ThreadWeaver::Thread::run (this=0x2d51180) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/Thread.cpp:142
#7  0x00007f7833b4fddb in QThreadPrivate::start (arg=0x2d51180) at thread/qthread_unix.cpp:298
#8  0x00007f783141ae0e in start_thread () from /lib64/libpthread.so.0
#9  0x00007f78332ef2cd in clone () from /lib64/libc.so.6

Thread 5 (Thread 0x7f780d8fb700 (LWP 2154)):
#0  0x00007f783141e8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f7833b502db in wait (time=18446744073709551615, this=0x2e6a610) at thread/qwaitcondition_unix.cpp:86
#2  QWaitCondition::wait (this=<optimized out>, mutex=0x2e6a790, time=18446744073709551615) at thread/qwaitcondition_unix.cpp:158
#3  0x00007f783077f971 in ThreadWeaver::WeaverImpl::blockThreadUntilJobsAreBeingAssigned (this=0x2e3d400, th=0x3105240) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WeaverImpl.cpp:365
#4  0x00007f78307821bb in ThreadWeaver::WorkingHardState::applyForWork (this=0x2de3360, th=0x3105240) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WorkingHardState.cpp:71
#5  0x00007f78307821d4 in ThreadWeaver::WorkingHardState::applyForWork (this=0x2de3360, th=0x3105240) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/WorkingHardState.cpp:74
#6  0x00007f783078102f in ThreadWeaver::ThreadRunHelper::run (this=this@entry=0x7f780d8fae20, parent=0x2e3d400, th=th@entry=0x3105240) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/Thread.cpp:87
#7  0x00007f78307810bb in ThreadWeaver::Thread::run (this=0x3105240) at /usr/src/debug/kdelibs-4.8.5/threadweaver/Weaver/Thread.cpp:142
#8  0x00007f7833b4fddb in QThreadPrivate::start (arg=0x3105240) at thread/qthread_unix.cpp:298
#9  0x00007f783141ae0e in start_thread () from /lib64/libpthread.so.0
#10 0x00007f78332ef2cd in clone () from /lib64/libc.so.6

Thread 4 (Thread 0x7f780cab7700 (LWP 2156)):
#0  0x00007f783141e8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f782a123177 in ?? () from /usr/lib64/libQtWebKit.so.4
#2  0x00007f782a1231a9 in ?? () from /usr/lib64/libQtWebKit.so.4
#3  0x00007f783141ae0e in start_thread () from /lib64/libpthread.so.0
#4  0x00007f78332ef2cd in clone () from /lib64/libc.so.6

Thread 3 (Thread 0x7f77fffff700 (LWP 2157)):
#0  0x00007f78332e714f in poll () from /lib64/libc.so.6
#1  0x00007f782d4cb684 in ?? () from /usr/lib64/libglib-2.0.so.0
#2  0x00007f782d4cb7a4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#3  0x00007f7833c77956 in QEventDispatcherGlib::processEvents (this=0x7f77f40008c0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f7833c4873f in QEventLoop::processEvents (this=this@entry=0x7f77ffffee20, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f7833c489c8 in QEventLoop::exec (this=0x7f77ffffee20, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f7833b4ce40 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f7833b4fddb in QThreadPrivate::start (arg=0x318d950) at thread/qthread_unix.cpp:298
#8  0x00007f783141ae0e in start_thread () from /lib64/libpthread.so.0
#9  0x00007f78332ef2cd in clone () from /lib64/libc.so.6

Thread 2 (Thread 0x7f77fe9ab700 (LWP 2160)):
#0  0x00007f783141e8f4 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib64/libpthread.so.0
#1  0x00007f782f7c1217 in ?? () from /usr/lib64/libQtScript.so.4
#2  0x00007f782f7c1249 in ?? () from /usr/lib64/libQtScript.so.4
#3  0x00007f783141ae0e in start_thread () from /lib64/libpthread.so.0
#4  0x00007f78332ef2cd in clone () from /lib64/libc.so.6

Thread 1 (Thread 0x7f78219ef780 (LWP 2144)):
[KCrash Handler]
#6  Playlists::PLSPlaylist::loadPls (this=this@entry=0x4528830, textStream=...) at /usr/src/debug/amarok-2.7.40git.1358727526/src/core-impl/playlists/types/file/pls/PLSPlaylist.cpp:257
#7  0x00007f7835823f87 in Playlists::PLSPlaylist::triggerTrackLoad (this=0x4528830) at /usr/src/debug/amarok-2.7.40git.1358727526/src/core-impl/playlists/types/file/pls/PLSPlaylist.cpp:108
#8  0x00007f78356b2a52 in Playlist::Controller::insertionHelper (this=this@entry=0x2e14ab0, bottomModelRow=bottomModelRow@entry=2, tl=...) at /usr/src/debug/amarok-2.7.40git.1358727526/src/playlist/PlaylistController.cpp:572
#9  0x00007f78356b3db3 in Playlist::Controller::insertOptioned (this=0x2e14ab0, list=..., options=33) at /usr/src/debug/amarok-2.7.40git.1358727526/src/playlist/PlaylistController.cpp:183
#10 0x00007f7835662db7 in CollectionTreeView::playChildTracksSlot (this=<optimized out>, list=...) at /usr/src/debug/amarok-2.7.40git.1358727526/src/browsers/CollectionTreeView.cpp:794
#11 0x00007f7835662ece in CollectionTreeView::qt_static_metacall (_o=0x3c366b0, _c=QMetaObject::ReadProperty, _id=861578753, _a=0x43f1300) at /usr/src/debug/amarok-2.7.40git.1358727526/build/src/CollectionTreeView.moc:84
#12 0x00007f7833c5ff5f in QMetaObject::activate (sender=0x34cab60, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff498b4c30) at kernel/qobject.cpp:3556
#13 0x00007f7835a094c2 in AmarokMimeData::trackListSignal (this=this@entry=0x34cab60, _t1=...) at /usr/src/debug/amarok-2.7.40git.1358727526/build/src/AmarokMimeData.moc:109
#14 0x00007f7835a09f0d in AmarokMimeData::getTrackListSignal (this=0x34cab60) at /usr/src/debug/amarok-2.7.40git.1358727526/src/AmarokMimeData.cpp:167
#15 0x00007f7835660b78 in CollectionTreeView::playChildTracks (this=0x3c366b0, items=..., insertMode=Playlist::AppendAndPlay) at /usr/src/debug/amarok-2.7.40git.1358727526/src/browsers/CollectionTreeView.cpp:783
#16 0x00007f7835662f55 in CollectionTreeView::qt_static_metacall (_o=0x3c366b0, _c=QMetaObject::ReadProperty, _id=861578753, _a=0x43f1300) at /usr/src/debug/amarok-2.7.40git.1358727526/build/src/CollectionTreeView.moc:91
#17 0x00007f7833c5ff5f in QMetaObject::activate (sender=0x3fbf190, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff498b4eb0) at kernel/qobject.cpp:3556
#18 0x00007f7834179522 in QAction::triggered(bool) () from /usr/lib64/libQtGui.so.4
#19 0x00007f7834179710 in QAction::activate(QAction::ActionEvent) () from /usr/lib64/libQtGui.so.4
#20 0x00007f78345b23d3 in ?? () from /usr/lib64/libQtGui.so.4
#21 0x00007f78345b86e9 in ?? () from /usr/lib64/libQtGui.so.4
#22 0x00007f78364fcfd0 in KMenu::mouseReleaseEvent (this=0x7fff498b6ab0, e=0x7fff498b5ac0) at /usr/src/debug/kdelibs-4.8.5/kdeui/widgets/kmenu.cpp:464
#23 0x00007f78341cee60 in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#24 0x00007f78345b999b in QMenu::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#25 0x00007f7835b2ddad in Amarok::ContextMenu::event (this=0x7fff498b6ab0, e=<optimized out>) at /usr/src/debug/amarok-2.7.40git.1358727526/src/widgets/AmarokContextMenu.cpp:60
#26 0x00007f783417f74c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#27 0x00007f78341844db in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#28 0x00007f7836444006 in KApplication::notify (this=0x7fff498ba6d0, receiver=0x7fff498b6ab0, event=0x7fff498b5ac0) at /usr/src/debug/kdelibs-4.8.5/kdeui/kernel/kapplication.cpp:311
#29 0x00007f7833c4973e in QCoreApplication::notifyInternal (this=0x7fff498ba6d0, receiver=0x7fff498b6ab0, event=0x7fff498b5ac0) at kernel/qcoreapplication.cpp:876
#30 0x00007f783418058b in QApplicationPrivate::sendMouseEvent(QWidget*, QMouseEvent*, QWidget*, QWidget*, QWidget**, QPointer<QWidget>&, bool) () from /usr/lib64/libQtGui.so.4
#31 0x00007f78341faa9c in ?? () from /usr/lib64/libQtGui.so.4
#32 0x00007f78341f9961 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#33 0x00007f783421fc32 in ?? () from /usr/lib64/libQtGui.so.4
#34 0x00007f782d4cb3b5 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#35 0x00007f782d4cb6e8 in ?? () from /usr/lib64/libglib-2.0.so.0
#36 0x00007f782d4cb7a4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#37 0x00007f7833c77936 in QEventDispatcherGlib::processEvents (this=0x2504a70, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#38 0x00007f783421f8ae in ?? () from /usr/lib64/libQtGui.so.4
#39 0x00007f7833c4873f in QEventLoop::processEvents (this=this@entry=0x7fff498b6610, flags=...) at kernel/qeventloop.cpp:149
#40 0x00007f7833c489c8 in QEventLoop::exec (this=0x7fff498b6610, flags=...) at kernel/qeventloop.cpp:204
#41 0x00007f78345b63c5 in QMenu::exec(QPoint const&, QAction*) () from /usr/lib64/libQtGui.so.4
#42 0x00007f7835663feb in CollectionTreeView::contextMenuEvent (this=0x3c366b0, event=0x7fff498b77e0) at /usr/src/debug/amarok-2.7.40git.1358727526/src/browsers/CollectionTreeView.cpp:348
#43 0x00007f78357c6855 in ServiceCollectionTreeView::contextMenuEvent (this=0x3c366b0, event=0x7fff498b77e0) at /usr/src/debug/amarok-2.7.40git.1358727526/src/services/ServiceCollectionTreeView.cpp:52
#44 0x00007f78341cebaa in QWidget::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#45 0x00007f7834578ca6 in QFrame::event(QEvent*) () from /usr/lib64/libQtGui.so.4
#46 0x00007f7834686343 in QAbstractItemView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#47 0x00007f78346c9961 in QTreeView::viewportEvent(QEvent*) () from /usr/lib64/libQtGui.so.4
#48 0x00007f7833c498a6 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x3c363f0, event=0x7fff498b77e0) at kernel/qcoreapplication.cpp:986
#49 0x00007f783417f71c in QApplicationPrivate::notify_helper(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#50 0x00007f78341841e5 in QApplication::notify(QObject*, QEvent*) () from /usr/lib64/libQtGui.so.4
#51 0x00007f7836444006 in KApplication::notify (this=0x7fff498ba6d0, receiver=0x3c363f0, event=0x7fff498b77e0) at /usr/src/debug/kdelibs-4.8.5/kdeui/kernel/kapplication.cpp:311
#52 0x00007f7833c4973e in QCoreApplication::notifyInternal (this=0x7fff498ba6d0, receiver=0x3c363f0, event=0x7fff498b77e0) at kernel/qcoreapplication.cpp:876
#53 0x00007f78341fac31 in ?? () from /usr/lib64/libQtGui.so.4
#54 0x00007f78341f9961 in QApplication::x11ProcessEvent(_XEvent*) () from /usr/lib64/libQtGui.so.4
#55 0x00007f783421fc32 in ?? () from /usr/lib64/libQtGui.so.4
#56 0x00007f782d4cb3b5 in g_main_context_dispatch () from /usr/lib64/libglib-2.0.so.0
#57 0x00007f782d4cb6e8 in ?? () from /usr/lib64/libglib-2.0.so.0
#58 0x00007f782d4cb7a4 in g_main_context_iteration () from /usr/lib64/libglib-2.0.so.0
#59 0x00007f7833c77936 in QEventDispatcherGlib::processEvents (this=0x2504a70, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#60 0x00007f783421f8ae in ?? () from /usr/lib64/libQtGui.so.4
#61 0x00007f7833c4873f in QEventLoop::processEvents (this=this@entry=0x7fff498b82f0, flags=...) at kernel/qeventloop.cpp:149
#62 0x00007f7833c489c8 in QEventLoop::exec (this=0x7fff498b82f0, flags=...) at kernel/qeventloop.cpp:204
#63 0x00007f7833c4d3a8 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#64 0x00000000004092ea in main (argc=1, argv=0x7fff498ba838) at /usr/src/debug/amarok-2.7.40git.1358727526/src/main.cpp:329

Reported using DrKonqi
Comment 1 Ralf Engels 2013-02-16 12:42:22 UTC
Git commit 2d6f48ebe3dc4f91a27eb95c8fdb282decd283e9 by Ralf Engels.
Committed on 12/02/2013 at 15:25.
Pushed by rengels into branch 'master'.

Fix:  Amarok crashes by putting a broadcast in the playlist
FIXED-IN: 2.8

M  +2    -2    src/core-impl/playlists/types/file/pls/PLSPlaylist.cpp

http://commits.kde.org/amarok/2d6f48ebe3dc4f91a27eb95c8fdb282decd283e9